<?php

namespace Asadi\Notific\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Notific\Interfaces\NotificRepositoryInterface;

class NotificPublicController extends BaseController
{
    // use NotificWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Notific\Interfaces\NotificRepositoryInterface $notific
     *
     * @return type
     */
    public function __construct(NotificRepositoryInterface $notific)
    {
        $this->repository = $notific;
        parent::__construct();
    }

    /**
     * Show notific's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $notifics = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('notific::public.notific.index', compact('notifics'))->render();
    }

    /**
     * Show notific.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $notific = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('notific::public.notific.show', compact('notific'))->render();
    }

}
