<?php

namespace Asadi\Notific\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Asadi\Notific\Models\Notific;

class NotificAction
{
    /**
     * Perform the complete action.
     *
     * @param Notific $notific
     *
     * @return Notific
     */
    public function complete(Notific $notific)
    {
        try {
            $notific->status = 'complete';
            return $notific->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Notific $notific
     *
     * @return Notific
     */public function verify(Notific $notific)
    {
        try {
            $notific->status = 'verify';
            return $notific->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Notific $notific
     *
     * @return Notific
     */public function approve(Notific $notific)
    {
        try {
            $notific->status = 'approve';
            return $notific->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Notific $notific
     *
     * @return Notific
     */public function publish(Notific $notific)
    {
        try {
            $notific->status = 'publish';
            return $notific->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Notific $notific
     *
     * @return Notific
     */
    public function archive(Notific $notific)
    {
        try {
            $notific->status = 'archive';
            return $notific->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Notific $notific
     *
     * @return Notific
     */
    public function unpublish(Notific $notific)
    {
        try {
            $notific->status = 'unpublish';
            return $notific->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
