<?php

namespace Asadi\Notific\Workflow;

use Asadi\Notific\Models\Notific;
use Asadi\Notific\Notifications\Notific as NotificNotifyer;
use Notification;

class NotificNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Notific $notific
     *
     * @return void
     */
    public function complete(Notific $notific)
    {
        return Notification::send($notific->user, new NotificNotifyer($notific, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Notific $notific
     *
     * @return void
     */
    public function verify(Notific $notific)
    {
        return Notification::send($notific->user, new NotificNotifyer($notific, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Notific $notific
     *
     * @return void
     */
    public function approve(Notific $notific)
    {
        return Notification::send($notific->user, new NotificNotifyer($notific, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Notific $notific
     *
     * @return void
     */
    public function publish(Notific $notific)
    {
        return Notification::send($notific->user, new NotificNotifyer($notific, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Notific $notific
     *
     * @return void
     */
    public function archive(Notific $notific)
    {
        return Notification::send($notific->user, new NotificNotifyer($notific, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Notific $notific
     *
     * @return void
     */
    public function unpublish(Notific $notific)
    {
        return Notification::send($notific->user, new NotificNotifyer($notific, 'unpublish'));;

    }
}
